aboutsummaryrefslogtreecommitdiff
path: root/util/docker_cmd.sh
diff options
context:
space:
mode:
Diffstat (limited to 'util/docker_cmd.sh')
-rwxr-xr-xutil/docker_cmd.sh30
1 files changed, 24 insertions, 6 deletions
diff --git a/util/docker_cmd.sh b/util/docker_cmd.sh
index 4a82890603..18725db068 100755
--- a/util/docker_cmd.sh
+++ b/util/docker_cmd.sh
@@ -1,4 +1,5 @@
#!/bin/sh
+# vim: set ft=sh ts=4 sw=4 noexpandtab
# NOTE: This script uses tabs for indentation
errcho() {
@@ -37,13 +38,26 @@ fi
# IF we are using docker on non Linux and docker-machine isn't working print an error
# ELSE set usb_args
if [ ! "$(uname)" = "Linux" ] && [ "$RUNTIME" = "docker" ] && ! docker-machine active >/dev/null 2>&1; then
- errcho "Error: target requires docker-machine to work on your platform"
- errcho "See http://gw.tnode.com/docker/docker-machine-with-usb-support-on-windows-macos"
- exit 3
+ errcho "Error: target requires docker-machine to work on your platform"
+ errcho "See http://gw.tnode.com/docker/docker-machine-with-usb-support-on-windows-macos"
+ exit 3
else
- usb_args="--privileged -v /dev:/dev"
+ usb_args="--privileged -v /dev:/dev"
+fi
+
+qmk_firmware_dir=$(pwd -W 2>/dev/null) || qmk_firmware_dir=$PWD # Use Windows path if on Windows
+qmk_userspace_dir=""
+userspace_docker_args=""
+
+if [ -n "$QMK_USERSPACE" ] && [ -e "$QMK_USERSPACE/qmk.json" ]; then
+ qmk_userspace_dir=$(cd "$QMK_USERSPACE" && pwd -W 2>/dev/null) || qmk_userspace_dir=$QMK_USERSPACE # Use Windows path if on Windows
+elif [ -n "$(which qmk 2>/dev/null)" ] && [ -n "$(qmk userspace-path)" ]; then
+ qmk_userspace_dir=$(cd "$(qmk userspace-path)" && pwd -W 2>/dev/null) || qmk_userspace_dir=$(qmk userspace-path) # Use Windows path if on Windows
+fi
+
+if [ -n "$qmk_userspace_dir" ]; then
+ userspace_docker_args="-v $qmk_userspace_dir:/qmk_userspace:z -e QMK_USERSPACE=/qmk_userspace"
fi
-dir=$(pwd -W 2>/dev/null) || dir=$PWD # Use Windows path if on Windows
if [ "$RUNTIME" = "docker" ]; then
uid_arg="--user $(id -u):$(id -g)"
@@ -54,6 +68,10 @@ fi
$usb_args \
$uid_arg \
-w /qmk_firmware \
- -v "$dir":/qmk_firmware \
+ -v "$qmk_firmware_dir":/qmk_firmware:z \
+ $userspace_docker_args \
+ -e SKIP_GIT="$SKIP_GIT" \
+ -e SKIP_VERSION="$SKIP_VERSION" \
+ -e MAKEFLAGS="$MAKEFLAGS" \
ghcr.io/qmk/qmk_cli \
"$@"